Skip to content

List team members

GET
/members
curl --request GET \
--url 'https://www.glitter.io/api/v1/members?team_id=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \
--header 'Authorization: Bearer <token>'

Name, email, avatar and role of every member of one team the key reaches. Needs the members:read scope.

team_id
required
string format: uuid

The team to read. Call GET /teams to find ids.

Successful response

Media type application/json
object
data
required
Array<object>
object
id
required
string
name
required
string | null
email
required
string
avatar_url
required
string | null
role
required
string
Allowed values: EDITOR VIEWER ADMIN
joined_at
required
string | null

Example

{
"data": [
{
"role": "EDITOR"
}
]
}

Invalid request

Media type application/json
object
type
string
title
string
status
integer
detail
string
code
string
request_id
string

Example

{
"type": "https://www.glitter.io/developers/api-reference#errors",
"title": "Invalid request",
"detail": "limit: Too big",
"code": "invalid_request",
"request_id": "3f2a9c1e-7b4d-4e0a-9c2f-1d5e6a7b8c9d"
}

Invalid or expired key

Media type application/json
object
type
string
title
string
status
integer
detail
string
code
string
request_id
string

Example

{
"type": "https://www.glitter.io/developers/api-reference#errors",
"title": "Invalid API key",
"detail": "This API key is not known.",
"code": "invalid_key",
"request_id": "3f2a9c1e-7b4d-4e0a-9c2f-1d5e6a7b8c9d"
}

Scope missing or API turned off

Media type application/json
object
type
string
title
string
status
integer
detail
string
code
string
request_id
string

Example

{
"type": "https://www.glitter.io/developers/api-reference#errors",
"title": "Scope missing",
"detail": "This key lacks the members:read scope.",
"code": "scope_missing",
"request_id": "3f2a9c1e-7b4d-4e0a-9c2f-1d5e6a7b8c9d"
}

Rate limited

Media type application/json
object
type
string
title
string
status
integer
detail
string
code
string
request_id
string

Example

{
"type": "https://www.glitter.io/developers/api-reference#errors",
"title": "Too many requests",
"detail": "600 requests per minute per key.",
"code": "rate_limited",
"request_id": "3f2a9c1e-7b4d-4e0a-9c2f-1d5e6a7b8c9d"
}

Internal error

Media type application/json
object
type
string
title
string
status
integer
detail
string
code
string
request_id
string

Example

{
"type": "https://www.glitter.io/developers/api-reference#errors",
"title": "Something went wrong",
"detail": "Something went wrong on our side.",
"code": "internal_error",
"request_id": "3f2a9c1e-7b4d-4e0a-9c2f-1d5e6a7b8c9d"
}